## 2ping 1.2.3

=== Makefile ===
PREFIX := /usr/local

all: 2ping symlinks

# Docs are shipped pre-compiled
doc: 2ping.8 2ping.8.html

2ping.8: 2ping
	pod2man -c '' -r '' -s 8 $< >$@

2ping.8.html: 2ping
	pod2html $< >$@
	rm -f pod2htmd.tmp pod2htmi.tmp

2ping6: 2ping
	ln -sf $< $@

2ping6.8: 2ping.8
	ln -sf $< $@

symlinks: 2ping6 2ping6.8

test:
	@perl -MGetopt::Long -e 'print "Getopt::Long is installed.\n";'
	@perl -MPod::Usage -e 'print "Pod::Usage is installed.\n";'
	@perl -MIO::Select -e 'print "IO::Select is installed.\n";'
	@perl -MIO::Socket::INET -e 'print "IO::Socket::INET is installed.\n";'
	@perl -MTime::HiRes -e 'print "Time::HiRes is installed.\n";'
	@perl -MIO::Socket::INET6 -e 'print "IO::Socket::INET6 is installed.\n";' 2>/dev/null || echo 'IO::Socket::INET6 is not installed (but optional).'
	@perl -MDigest::MD5 -e 'print "Digest::MD5 is installed.\n";' 2>/dev/null || echo 'Digest::MD5 is not installed (but optional).'
	@perl -MDigest::SHA -e 'print "Digest::SHA is installed.\n";' 2>/dev/null || echo 'Digest::SHA is not installed (but optional).'
	@perl -MDigest::CRC -e 'print "Digest::CRC is installed.\n";' 2>/dev/null || echo 'Digest::CRC is not installed (but optional).'
	@echo 'All tests complete.'

install: all
	install -d -m 0755 $(DESTDIR)$(PREFIX)/bin
	install -d -m 0755 $(DESTDIR)$(PREFIX)/share/man/man8
	install -m 0755 2ping $(DESTDIR)$(PREFIX)/bin
	ln -sf 2ping $(DESTDIR)$(PREFIX)/bin/2ping6
	install -m 0644 2ping.8 $(DESTDIR)$(PREFIX)/share/man/man8
	ln -sf 2ping.8 $(DESTDIR)$(PREFIX)/share/man/man8/2ping6.8

distclean: clean

clean:
	rm -f 2ping6 2ping6.8

doc-clean:
	rm -f 2ping.8 2ping.8.html

## 2ping 1.0

=== debian/changelog ===
2ping (1.0-1) unstable; urgency=low

  * Initial release (Closes: #596753)

 -- Ryan Finnie <ryan@finnie.org>  Wed, 20 Oct 2010 20:53:05 -0700

=== debian/control ===
Source: 2ping
Section: net
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.1
Homepage: http://www.finnie.org/software/2ping/
Vcs-Browser: http://gitorious.org/2ping/2ping
Vcs-Git: git://gitorious.org/2ping/2ping.git
XS-Dm-Upload-Allowed: yes

Package: 2ping
Architecture: all
Depends: ${misc:Depends}, perl
Recommends: perl-modules, libio-socket-inet6-perl
Suggests: libdigest-sha-perl, libdigest-crc-perl
Description: Ping utility to determine directional packet loss
 2ping is a bi-directional ping utility. It uses 3-way pings (akin to 
 TCP SYN, SYN/ACK, ACK) and after-the-fact state comparison between a 
 2ping listener and a 2ping client to determine which direction packet 
 loss occurs.

## 2ping 1.1

=== debian/changelog ===
2ping (1.1-1) unstable; urgency=low

  * New upstream release (Closes: #602941)
  * Bumped standards to 3.9.2
  * init.d: Guard against race condition when starting (Closes: #602943)

 -- Ryan Finnie <ryan@finnie.org>  Fri, 06 May 2011 20:54:28 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.finnie.org/software/2ping/
 Vcs-Browser: http://gitorious.org/2ping/2ping
 Vcs-Git: git://gitorious.org/2ping/2ping.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debhelper debian/rules, based on sample file.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/2ping PREFIX=/usr


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman
	dh_installinit
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## 2ping 1.2.3

=== debian/changelog ===
2ping (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Ryan Finnie <ryan@finnie.org>  Sun, 01 Jan 2012 16:58:06 -0800

2ping (1.1-2) unstable; urgency=low

  * Converted debian/rules to unified dh (fixes litian warnings)

 -- Ryan Finnie <ryan@finnie.org>  Sun, 04 Sep 2011 15:06:36 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.2
 Homepage: http://www.finnie.org/software/2ping/
 Vcs-Browser: http://gitorious.org/2ping/2ping

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/2ping PREFIX=/usr

=== debian/watch ===
version=3
http://www.finnie.org/software/2ping/ 2ping-(.*)\.tar\.gz

## 2ping 2.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
 PREFIX := /usr/local
 
-all: 2ping symlinks
+all: 2ping
+
+2ping: src/2ping.pl
+	perl -pe 's%#EXTRAVERSION#%$(EXTRAVERSION)%g' $< >$@
+	chmod 0755 $@
 
 # Docs are shipped pre-compiled
 doc: 2ping.8 2ping.8.html
@@ -11,14 +15,6 @@
 2ping.8.html: 2ping
 	pod2html $< >$@
 	rm -f pod2htmd.tmp pod2htmi.tmp
-
-2ping6: 2ping
-	ln -sf $< $@
-
-2ping6.8: 2ping.8
-	ln -sf $< $@
-
-symlinks: 2ping6 2ping6.8
 
 test:
 	@perl -MGetopt::Long -e 'print "Getopt::Long is installed.\n";'
@@ -43,7 +39,7 @@
 distclean: clean
 
 clean:
-	rm -f 2ping6 2ping6.8
+	rm -f 2ping
 
 doc-clean:
 	rm -f 2ping.8 2ping.8.html

=== debian/changelog ===
2ping (2.0-1) unstable; urgency=low

  * New upstream release
  * Add EXTRAVERSION support for tagging with Debian revision
  * Bumped standards to 3.9.3

 -- Ryan Finnie <ryan@finnie.org>  Sun, 22 Apr 2012 16:48:02 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Homepage: http://www.finnie.org/software/2ping/
 Vcs-Browser: http://gitorious.org/2ping/2ping
 Vcs-Git: git://gitorious.org/2ping/2ping.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk
DEB_VERSION_REVISION = $(call dpkg_late_eval,DEB_VERSION_REVISION,echo '$(DEB_VERSION)' | sed -e 's/^.*-//')

%:
	dh $@ 

override_dh_auto_build:
	$(MAKE) EXTRAVERSION="-$(DEB_VERSION_REVISION) ($(DEB_VENDOR))"

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/2ping PREFIX=/usr

## 2ping 2.1.1

=== debian/changelog ===
2ping (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * Remove Dm-Upload-Allowed
  * Update Vcs locations
  * Bump Standards-Version to 3.9.5
  * debian/watch: add upstream pgpsigurlmangle support

 -- Ryan Finnie <ryan@finnie.org>  Wed, 16 Apr 2014 04:18:38 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
 Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.finnie.org/software/2ping/
-Vcs-Browser: http://gitorious.org/2ping/2ping
-Vcs-Git: git://gitorious.org/2ping/2ping.git
-XS-Dm-Upload-Allowed: yes
+Vcs-Browser: https://github.com/rfinnie/2ping
+Vcs-Git: https://github.com/rfinnie/2ping.git
 
 Package: 2ping
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 	dh $@ 
 
 override_dh_auto_build:
-	$(MAKE) EXTRAVERSION="-$(DEB_VERSION_REVISION) ($(DEB_VENDOR))"
+	dh_auto_build -- EXTRAVERSION="-$(DEB_VERSION_REVISION) ($(DEB_VENDOR))"
 
 override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/2ping PREFIX=/usr
+	dh_auto_install
+	ln -sf 2ping $(CURDIR)/debian/2ping/usr/bin/2ping6
+	ln -sf 2ping.1p $(CURDIR)/debian/2ping/usr/share/man/man1/2ping6.1p

## 2ping 3.2.1

=== Makefile ===
all: build

build:
	python setup.py build

test: build
	python setup.py test

install: build
	python setup.py install

clean:
	python setup.py clean
	$(RM) -r build MANIFEST

doc: README
	$(MAKE) -C doc

README: README.md
	pandoc -s -t plain -o $@ $<

=== debian/changelog ===
2ping (3.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Finnie <ryan@finnie.org>  Sat, 26 Mar 2016 05:42:00 +0000

2ping (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Change Vcs-Git to the Debian packaging, not the upstream repo (fix
    vcswatch error)
  * Use debhelper level 9
  * Convert debian/copyright to dep5

 -- Ryan Finnie <ryan@finnie.org>  Thu, 11 Feb 2016 04:13:49 +0000

2ping (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * Add systemd service

 -- Ryan Finnie <ryan@finnie.org>  Fri, 27 Nov 2015 22:39:18 +0000

2ping (3.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #713105)
  * Upstream rewrite from Perl to Python; packaging updated
  * Bump Standards-Version to 3.9.6
  * Update Vcs-Browser/Vcs-Git (Closes: #718336)

 -- Ryan Finnie <ryan@finnie.org>  Thu, 29 Oct 2015 21:03:41 +0000

=== debian/control ===
Source: 2ping
Section: net
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-setuptools, python | python-all | python-dev | python-all-dev, dh-python, dh-systemd (>= 1.5)
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Homepage: http://www.finnie.org/software/2ping/
Vcs-Browser: https://github.com/rfinnie/2ping-pkg-debian
Vcs-Git: https://github.com/rfinnie/2ping-pkg-debian

Package: 2ping
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python, python-argparse
Description: Ping utility to determine directional packet loss
 2ping is a bi-directional ping utility. It uses 3-way pings (akin to 
 TCP SYN, SYN/ACK, ACK) and after-the-fact state comparison between a 
 2ping listener and a 2ping client to determine which direction packet 
 loss occurs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=2ping

%:
	dh $@ --with=python2,systemd --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	install -d -m 0755 $(CURDIR)/debian/2ping/usr/share/man/man1
	install -m 0755 doc/2ping.1 $(CURDIR)/debian/2ping/usr/share/man/man1
	ln -sf 2ping.1 $(CURDIR)/debian/2ping/usr/share/man/man1/2ping6.1

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r twoping/*.pyc 2ping.egg-info

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
  http://www.finnie.org/software/2ping/ 2ping-(.*)\.tar\.gz

## 2ping 4.1

=== debian/changelog ===
2ping (4.1-1ubuntu1) bionic; urgency=medium

  * SRU: Fix cleanup crash on non-encrypted sessions (LP: #1786397)

 -- Ryan Finnie <ryan@finnie.org>  Fri, 10 Aug 2018 04:31:04 +0000

2ping (4.1-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Finnie <ryan@finnie.org>  Sun, 06 Aug 2017 02:41:04 +0000

2ping (4.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #869326)

 -- Ryan Finnie <ryan@finnie.org>  Sat, 22 Jul 2017 15:58:10 +0000

2ping (4.0-2) unstable; urgency=medium

  * Fix python3-all Build-Dependencies

 -- Ryan Finnie <ryan@finnie.org>  Sat, 22 Jul 2017 06:06:53 +0000

2ping (4.0-1) unstable; urgency=medium

  * New upstream release (rewrite from Python 2 to 3)
  * Fix: init.d-script-needs-depends-on-lsb-base
  * Fix: Missing dependency on python3-pkg-resources (Closes: #855972)
  * Updated finnie.org URLs to https
  * Added Suggests: python3-dnspython

 -- Ryan Finnie <ryan@finnie.org>  Sat, 22 Jul 2017 04:01:56 +0000

=== debian/control ===
Source: 2ping
Section: net
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python3-setuptools, python3-all, python3-all-dev, dh-python, dh-systemd (>= 1.5)
X-Python-Version: >= 2.6
Standards-Version: 4.0.0
Homepage: https://www.finnie.org/software/2ping/
Vcs-Browser: https://github.com/rfinnie/2ping-pkg-debian
Vcs-Git: https://github.com/rfinnie/2ping-pkg-debian

Package: 2ping
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-pkg-resources, lsb-base (>= 3.0-6)
Suggests: python3-dnspython, python3-netifaces, python3-crypto
Description: Ping utility to determine directional packet loss
 2ping is a bi-directional ping utility. It uses 3-way pings (akin to 
 TCP SYN, SYN/ACK, ACK) and after-the-fact state comparison between a 
 2ping listener and a 2ping client to determine which direction packet 
 loss occurs.

## 2ping 4.2

=== debian/changelog ===
2ping (4.2-1) unstable; urgency=medium

  * New upstream release
  * Add bash_completion definition

 -- Ryan Finnie <ryan@finnie.org>  Sat, 11 Aug 2018 21:13:47 +0000

2ping (4.1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #897498)

 -- Ryan Finnie <ryan@finnie.org>  Fri, 10 Aug 2018 03:40:20 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python3-setuptools, python3-all, python3-all-dev, dh-python, dh-systemd (>= 1.5)
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python3-setuptools, python3-all, python3-all-dev, dh-python, dh-systemd (>= 1.5), bash-completion
 X-Python-Version: >= 2.6
 Standards-Version: 4.0.0
 Homepage: https://www.finnie.org/software/2ping/

## 2ping 4.3

=== Makefile ===
PYTHON := python3
PANDOC := pandoc

all: build

build:
	$(PYTHON) setup.py build

test: build
	$(PYTHON) setup.py test

install: build
	$(PYTHON) setup.py install

clean:
	$(PYTHON) setup.py clean
	$(RM) -r build MANIFEST

doc: README
	$(MAKE) -C doc

README: README.md
	$(PANDOC) -s -t plain -o $@ $<

=== debian/changelog ===
2ping (4.3-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Finnie <ryan@finnie.org>  Mon, 03 Dec 2018 19:43:03 +0000

2ping (4.2-2) unstable; urgency=medium

  * Remove Build-Depends python3-all-dev (Closes: #910092)
  * Remove Build-Depends dh-systemd (Lintian
    build-depends-on-obsolete-package)
  * Remove X-Python-Version (Lintian ancient-python-version-field)

 -- Ryan Finnie <ryan@finnie.org>  Tue, 02 Oct 2018 18:16:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python3-setuptools, python3-all, python3-all-dev, dh-python, dh-systemd (>= 1.5), bash-completion
-X-Python-Version: >= 2.6
+Build-Depends: debhelper (>= 9.20160709), dpkg-dev (>= 1.16.1~), python3-setuptools, python3-all, dh-python, bash-completion
 Standards-Version: 4.0.0
 Homepage: https://www.finnie.org/software/2ping/
 Vcs-Browser: https://github.com/rfinnie/2ping-pkg-debian

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME=2ping
 
 %:
-	dh $@ --with=python2,systemd --buildsystem=pybuild
+	dh $@ --with=python3,systemd,bash_completion --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
  https://www.finnie.org/software/2ping/ 2ping-(.*)\.tar\.gz

## 2ping 4.5

=== Makefile ===
PYTHON := python3

all: build

build:
	$(PYTHON) setup.py build

lint:
	$(PYTHON) -mtox -e flake8

test:
	$(PYTHON) -mtox

test-quick:
	$(PYTHON) -mtox -e black,flake8,pytest-quick

black-check:
	$(PYTHON) -mtox -e black

black:
	$(PYTHON) -mblack $(CURDIR)

install: build
	$(PYTHON) setup.py install

clean:
	$(PYTHON) setup.py clean
	$(RM) -r build MANIFEST

doc:
	$(MAKE) -C doc

=== requirements.txt ===
distro
dnspython
netifaces
pycryptodomex

=== debian/changelog ===
2ping (4.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:50:16 +0200

2ping (4.5-1) unstable; urgency=medium

  * New upstream release
  * Add autopkgtest suite
  * Recommends: python3-distro
  * Suggests: python3-systemd
  * Replace Suggests: python3-crypto with python3-pycryptodome
    (Either are supported by release, but the former is deprecated)

 -- Ryan Finnie <ryan@finnie.org>  Wed, 17 Jun 2020 20:51:00 -0700

2ping (4.4.1-1) unstable; urgency=medium

  * New upstream release
  * Use init provided by upstream
  * Install 2ping.1 as 0644

 -- Ryan Finnie <ryan@finnie.org>  Mon, 08 Jun 2020 14:45:25 -0700

2ping (4.4-1) unstable; urgency=medium

  * New upstream release
  * Vcs: Use salsa.debian.org
  * debhelper-compat 13 (Lintian
    package-uses-deprecated-debhelper-compat-version)
  * Rules-Requires-Root: no (Lintian rules-requires-root-missing)
  * Standards-Version: 4.5.0 (Lintian ancient-standards-version)
  * Move python3-netifaces and python3-dnspython to Recommends
  * https homepage, https DEP-5 (Lintian insecure-copyright-format-uri)
  * Fix Lintian file-contains-trailing-whitespace,
    skip-systemd-native-flag-missing-pre-depends,
    debian-rules-uses-deprecated-systemd-override
  * 2ping.service:
    * Change -q to --quiet
    * Separate out Documentation lines
    * PrivateTmp=yes (Lintian
      systemd-service-file-missing-hardening-features)

 -- Ryan Finnie <ryan@finnie.org>  Sun, 07 Jun 2020 14:45:20 -0700

=== debian/control ===
Source: 2ping
Section: net
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper, debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), python3-pytest, python3-setuptools, python3-all, dh-python, bash-completion
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://www.finnie.org/software/2ping/
Vcs-Browser: https://salsa.debian.org/rfinnie/2ping-pkg-debian
Vcs-Git: https://salsa.debian.org/rfinnie/2ping-pkg-debian.git

Package: 2ping
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-pkg-resources, lsb-base (>= 3.0-6)
Recommends: python3-distro, python3-dnspython, python3-netifaces
Suggests: python3-pycryptodome, python3-systemd
Description: Ping utility to determine directional packet loss
 2ping is a bi-directional ping utility. It uses 3-way pings (akin to
 TCP SYN, SYN/ACK, ACK) and after-the-fact state comparison between a
 2ping listener and a 2ping client to determine which direction packet
 loss occurs.

=== debian/tests/control ===
Tests: help, smoke
Depends: 2ping, python3-distro, python3-dnspython, python3-netifaces, python3-pycryptodome, python3-systemd
Restrictions: allow-stderr
